## javax.persistence.criteria
Interface From<Z,X>

All Superinterfaces:
  Expression<X>, FetchParent<Z,X>, Path<X>, Selection<X>, TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, Root<X>, SetJoin<Z,E>

    public interface From<Z,X>

extends Path<X>, FetchParent<Z,X>

Method Summary
`From<Z,X>` `getCorrelationParent()`
`java.util.Set<Join<X,?>>` `getJoins()`
`boolean` `isCorrelated()`

`

`<Y> CollectionJoin<X,Y>`

`

`join(CollectionAttribute<? super X,Y> collection)`

`

`<Y> CollectionJoin<X,Y>`

`

`join(CollectionAttribute<? super X,Y> collection, JoinType jt)`

`

`<Y> ListJoin<X,Y>`

`

`join(ListAttribute<? super X,Y> list)`

`

`<Y> ListJoin<X,Y>`

`

`join(ListAttribute<? super X,Y> list, JoinType jt)`

`

`<K,V> MapJoin<X,K,V>`

`

`join(MapAttribute<? super X,K,V> map)`

`

`<K,V> MapJoin<X,K,V>`

`

`join(MapAttribute<? super X,K,V> map, JoinType jt)`

`

`<Y> SetJoin<X,Y>`

`

`join(SetAttribute<? super X,Y> set)`

`

`<Y> SetJoin<X,Y>`

`

`join(SetAttribute<? super X,Y> set, JoinType jt)`

`

`<Y> Join<X,Y>`

`

`join(SingularAttribute<? super X,Y> attribute)`

`

`<Y> Join<X,Y>`

`

`join(SingularAttribute<? super X,Y> attribute, JoinType jt)`

`

`<X,Y> Join<X,Y>`

`

`join(java.lang.String attributeName)`

`

`<X,Y> Join<X,Y>`

`

`join(java.lang.String attributeName, JoinType jt)`

`

`<X,Y> CollectionJoin<X,Y>`

`

`joinCollection(java.lang.String attributeName)`

`

`<X,Y> CollectionJoin<X,Y>`

`

`joinCollection(java.lang.String attributeName, JoinType jt)`

`

`<X,Y> ListJoin<X,Y>`

`

`joinList(java.lang.String attributeName)`

`

`<X,Y> ListJoin<X,Y>`

`

`joinList(java.lang.String attributeName, JoinType jt)`

`

`<X,K,V> MapJoin<X,K,V>`

`

`joinMap(java.lang.String attributeName)`

`

`<X,K,V> MapJoin<X,K,V>`

`

`joinMap(java.lang.String attributeName, JoinType jt)`

`

`<X,Y> SetJoin<X,Y>`

`

`joinSet(java.lang.String attributeName)`

`

`<X,Y> SetJoin<X,Y>`

`

`joinSet(java.lang.String attributeName, JoinType jt)`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getJoins

    java.util.Set<Join<X,?>> getJoins()

### isCorrelated

    boolean isCorrelated()

### getCorrelationParent

    From<Z,X> getCorrelationParent()

### join

    <Y> Join<X,Y> join(SingularAttribute<? super X,Y> attribute)

### join

    <Y> Join<X,Y> join(SingularAttribute<? super X,Y> attribute,
                       JoinType jt)

### join

    <Y> CollectionJoin<X,Y> join(CollectionAttribute<? super X,Y> collection)

### join

    <Y> SetJoin<X,Y> join(SetAttribute<? super X,Y> set)

### join

    <Y> ListJoin<X,Y> join(ListAttribute<? super X,Y> list)

### join

    <K,V> MapJoin<X,K,V> join(MapAttribute<? super X,K,V> map)

### join

    <Y> CollectionJoin<X,Y> join(CollectionAttribute<? super X,Y> collection,
                                 JoinType jt)

### join

    <Y> SetJoin<X,Y> join(SetAttribute<? super X,Y> set,
                          JoinType jt)

### join

    <Y> ListJoin<X,Y> join(ListAttribute<? super X,Y> list,
                           JoinType jt)

### join

    <K,V> MapJoin<X,K,V> join(MapAttribute<? super X,K,V> map,
                              JoinType jt)

### join

    <X,Y> Join<X,Y> join(java.lang.String attributeName)

### joinCollection

    <X,Y> CollectionJoin<X,Y> joinCollection(java.lang.String attributeName)

### joinSet

    <X,Y> SetJoin<X,Y> joinSet(java.lang.String attributeName)

### joinList

    <X,Y> ListJoin<X,Y> joinList(java.lang.String attributeName)

### joinMap

    <X,K,V> MapJoin<X,K,V> joinMap(java.lang.String attributeName)

### join

    <X,Y> Join<X,Y> join(java.lang.String attributeName,
                         JoinType jt)

### joinCollection

    <X,Y> CollectionJoin<X,Y> joinCollection(java.lang.String attributeName,
                                             JoinType jt)

### joinSet

    <X,Y> SetJoin<X,Y> joinSet(java.lang.String attributeName,
                               JoinType jt)

### joinList

    <X,Y> ListJoin<X,Y> joinList(java.lang.String attributeName,
                                 JoinType jt)

### joinMap

    <X,K,V> MapJoin<X,K,V> joinMap(java.lang.String attributeName,
                                   JoinType jt)